#include "DJS_General_Functions.h"



/// _______                                __
///|     __|.-----.-----.-----.----.---.-.|  |
///|    |  ||  -__|     |  -__|   _|  _  ||  |
///|_______||_____|__|__|_____|__| |___._||__|
///
/// Set Text Align, colour, font and size
void Gen::Set_TText_Attributes(TText * textpointer, int Align, int Colour, int Font, int Size )
{
    textpointer->SetTextAlign(Align);
    textpointer->SetTextColor(Colour);
    textpointer->SetTextFont(Font);
    textpointer->SetTextSize(Size);
}
/// Add a number or string to a pave text, with alignment, colour, font and size...
void Gen::Add_To_PaveText(TPaveText*Pave,int number,int align, int colour, int font, int textsize)
{
    TText * text=Pave->AddText(Number_To_String(number).c_str());
    Set_TText_Attributes(text,align,colour,font,textsize);
}

void Gen::Add_To_PaveText(TPaveText*Pave,float number,int align, int colour, int font, int textsize)
{
    TText * text=Pave->AddText(Number_To_String(number).c_str());
    Set_TText_Attributes(text,align,colour,font,textsize);
}

void Gen::Add_To_PaveText(TPaveText*Pave,std::string string,int align, int colour, int font, int textsize)
{
    TText * text=Pave->AddText(string.c_str());
    Set_TText_Attributes(text,align,colour,font,textsize);
}
/// Convert a number to a string....
std::string Gen::Number_To_String(int input)
{
    std::ostringstream inttostring;
    std::string result;
    inttostring.str("");
    inttostring << input;
    result = inttostring.str();
    return result;
}
std::string Gen::Number_To_String(float input)
{
    std::ostringstream inttostring;
    std::string result;
    inttostring.str("");
    inttostring << input;
    result = inttostring.str();
    return result;
}
std::string Gen::Number_To_String(double input)
{
    std::ostringstream inttostring;
    std::string result;
    inttostring.str("");
    inttostring << input;
    result = inttostring.str();
    return result;
}

std::string Gen::Number_To_String(unsigned char * input)
{
    std::ostringstream inttostring;
    std::string result;
    inttostring.str("");
    inttostring << input;
    result = inttostring.str();
    return result;
}

/// Round Float
float Gen::Round_Float(float f,int SF)
{
    if( SF < 1 ) SF = 1;

    if(f > 0.0)
    {
        f *= 10*SF;
        f += 0.5;
        f = (float)floor(f);
        f /= 10*SF;
    }else{
        f *= 10*SF;
        f -= 0.5;
        f = (float)ceil(f);
        f /= 10*SF;
    }

    return f;
}
/// Round Float
double Gen::Round_Double(double f,int SF)
{
    if(SF<1) SF=1;

    if(f > 0.0)
    {
        f *= 10*SF;
        f += 0.5;
        f = (double)floor(f);
        f /= 10*SF;
    }else{
        f *= 10*SF;
        f -= 0.5;
        f = (double)ceil(f);
        f /= 10*SF;
    }

    return f;
}



