//
//	This file needs to be included many times. Each translation unit that calls it will
//	define these externs indenpendently for that piece of code so there won't be a problem
//	with multiple definitions etc. So no include gaurd is needed!
//
//	#ifndef _GLOBAL_VAULES_EXTERN_H_  
//	#define _GLOBAL_VAULES_EXTERN_H_
//
#include "TomographyStructs.h"
#include <string>

//#ifndef __CINT__
//#include <boost/filesystem.hpp>
//#include <boost/format.hpp>
////This should only be referenced in implementation files. Root doesn't like boost
//Having boost is nice for path names. Maybe I should go back to using it?
//extern boost::filesystem::path pa_Path;
//#endif

extern std::string TARDIS_Home;
extern std::string TARDIS_Maps;
extern std::string TARDIS_Saved;
extern std::string TARDIS_Resources;

//This should be a vector or should go in global configs or something so if machine parameters change for a 
//data set we can reflect that. i.e. each tab should have a machine, tomography etc. 
extern Format_Config     Current_Format;
extern Machine_Config    Current_Machine;
extern Tomography_Config Current_Tomography;

extern scopeParam defaultMainInjectorScope;

