/*


*/
//#include <unistd.h>

#include <TApplication.h>
#include <TSystem.h>
#include <TStyle.h>
#include <TEnv.h>

#include "Global_Values.h"
#include "masterController.h"

int main(int argc, char **argv)
{
	gSystem->ResetSignal(kSigSegmentationViolation);
	gStyle->SetCanvasColor(4);
	gEnv->SetValue("Gui.DefaultFont","-*-helvetica-medium-r-*-*-14-*-*-*-*-*-iso8859-1");

	TApplication app("app",&argc,argv);
	app.SetReturnFromRun( kTRUE );

	const int numberOfTabs = 4;
	masterController master( numberOfTabs );

	app.Run( kTRUE );

	return 0;
}
