#ifndef _DJS_General_Functions_H
#define _DJS_General_Functions_H

#include <TRootEmbeddedCanvas.h>
#include <TGNumberEntry.h>
#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TCanvas.h>
#include <stdlib.h>
#include <TGLabel.h>
#include <vector>
#include <TH1.h>
#include <map>
#include <TGTable.h>
#include "TVirtualTableInterface.h"
#include "TGSimpleTableInterface.h"
#include "TPaveText.h"

#include <TSystem.h>
#include <algorithm>
#include <iostream>
//#include <stdint.h>
#include <iomanip>
#include <sstream>
#include <fstream>
#include <cstring>
#include <stdio.h>
#include <math.h>
#include <string>
#include <vector>
#include <locale>
#include <time.h>

enum Root_Col_t { black = 0, yellow = 5, cyan = 7, red = 2, offwhite = 10, magenta = 6 };
enum Root_Align_t { align_xLyC = 12, align_xCyC = 22, align_xRyC = 32 };

 namespace Gen
 {

    /// Add to Pave Text
    void Add_To_PaveText( TPaveText* Pave, int number  , int align, int colour, int font, int textsize );
    void Add_To_PaveText( TPaveText* Pave, float number, int align, int colour, int font, int textsize );
    void Add_To_PaveText( TPaveText* Pave, std::string string, int align, int colour, int font, int textsize );

    /// Number to string
    std::string Number_To_String( int input );
    std::string Number_To_String( float input );
    std::string Number_To_String( double input);
    std::string Number_To_String( unsigned char *input);

    /// Set TText Attributes
    void Set_TText_Attributes( TText * textpointer, int Align, int Colour, int Font, int Size );

    /// Round Float
    float Round_Float( float f, int SF );
    double Round_Double( double f, int SF );


 }


#endif


