#ifndef _GLOBAL_VAULES_H_
#define _GLOBAL_VAULES_H_
#include "TomographyStructs.h"
#include <string>

//#if !defined _OFFLINE_MODE
//	std::string TARDIS_Home      = "/usr/local/cbs_files/cns_write/pa4219"          ;
//	std::string TARDIS_Maps      = "/usr/local/cbs_files/cns_write/pa4219/MAPS"     ;
//	std::string TARDIS_Saved     = "/usr/local/cbs_files/cns_write/pa4219/Saved"    ;
//	std::string TARDIS_Resources = "/usr/local/cbs_files/cns_write/pa4219/Resources";
//#else
//	std::string TARDIS_Home      = "/Users/Nick/Tomography/TARDIS"          ;
//	std::string TARDIS_Maps      = "/Users/Nick/Tomography/TARDIS/MAPS"     ;
//	std::string TARDIS_Saved     = "/Users/Nick/Tomography/TARDIS/Saved"    ;
//	std::string TARDIS_Resources = "/Users/Nick/Tomography/TARDIS/Resources";
//#endif
//#endif
#ifdef _WINDOWS_MACHINE
std::string TARDIS_Home      = "C:\\TARDIS"          ;
std::string TARDIS_Maps      = "C:\\TARDIS\\MAPS"     ;
std::string TARDIS_Saved     = "C:\\TARDIS\\Saved"    ;
std::string TARDIS_Resources = "C:\\TARDIS\\Resources";
#endif
//This should be a vector or should go in global configs or something so if machine parameters change for a
//data set we can reflect that. i.e. each tab should have a machine, tomography etc.
Format_Config     Current_Format     = defaultFormat;
Machine_Config    Current_Machine    = defaultMainInjector;
Tomography_Config Current_Tomography = defaultTomography;

scopeParam defaultMainInjectorScope =
{
  1,   //numFrames
  0.0, //range
  0.0, //level
  0.0, //offset
  1,   //channel
  0.4, //interval
  5000 //ptsPerFrame
};

#endif
