#ifndef PPDIFRAMEFINDER_H
#define PPDIFRAMEFINDER_H

#include <vector>
#include <iostream>
#include <math.h>


class ppDIFrameFinder
{
    public:
        ppDIFrameFinder();
        virtual ~ppDIFrameFinder();
//
        bool findDIFrames(std::vector<int> & data, const  int numFrames,const  int ptsPerFrame, const float DIFrameTrigger,int *numDIFrames);
        void getDIFrames(std::vector<int> & DIFrames);
    protected:
    private:

        void totalFrame(std::vector<int> & data, const  int numFrames,const  int ptsPerFrame);
        void dTotalFrame();
        double rmsLocalVector();
        bool testForDI(double trig);

        std::vector<long int> localvector;

       // ClassDef(ppDIFrameFinder,0);
};

#endif // PPDIFRAMEFINDER_H
